Bug 113572 - [patch] japanese/sj3 is broken
Summary: [patch] japanese/sj3 is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-11 13:00 UTC by Hirohisa Yamaguchi
Modified: 2007-09-09 08:10 UTC (History)
0 users

See Also:


Attachments
file.diff (6.25 KB, patch)
2007-06-11 13:00 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2007-06-11 13:00:11 UTC
	There are several problems with japanese/sj3 port.

	 1. Original MASTER_SITES don't seem to work any longer.
	 2. With the current patchset it builds okay, but it is said that it does not work correctly.
	 3. It does not build under 7-CURRENT (i.e. with gcc4.2).

Fix: 1. As long as the current version is mirrored in MASTER_SITE_LOCAL
	   this might not be a problem.
	2.,3. There's a new set of patch
	   http://quasiquote.org/log2/SJ3/2007/04/01/patch

	The patch against the port skelton follows.
	 deleted:
	  files/patch-aa
	  files/patch-ab
	 needs fix:
	  pkg-install needs to get appropriate UID number for a dedicated user `_sj3'
	  (and ports/UIDs has to be updated).
How-To-Repeat: 	cd ports/japanese/sj3
	make && make install
	/usr/local/etc/rc.d/sj3.sh start
	(run sj3 client)
Comment 1 Edwin Groothuis freebsd_committer 2007-06-11 13:00:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Pav Lucistnik freebsd_committer 2007-07-02 19:36:14 UTC
State Changed
From-To: feedback->open

Maintainer timeout
Comment 3 Edwin Groothuis freebsd_committer 2007-09-09 08:08:09 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2007-09-09 08:08:13 UTC
edwin       2007-09-09 07:08:07 UTC

  FreeBSD ports repository

  Modified files:
    japanese/sj3         Makefile distinfo pkg-install pkg-plist 
    japanese/sj3/files   sj3.sh.in 
  Added files:
    japanese/sj3/files   patch-sj3.tmpl 
  Removed files:
    japanese/sj3/files   patch-aa patch-ab 
  Log:
  [patch] japanese/sj3 is broken
  
          There are several problems with japanese/sj3 port.
  
          1. Original MASTER_SITES don't seem to work any longer.
          2. With the current patchset it builds okay, but it is said that it does not work correctly.
          3. It does not build under 7-CURRENT (i.e. with gcc4.2).
  
  PR:             ports/113572
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.27      +17 -16    ports/japanese/sj3/Makefile
  1.9       +3 -3      ports/japanese/sj3/distinfo
  1.9       +0 -361    ports/japanese/sj3/files/patch-aa (dead)
  1.2       +0 -21     ports/japanese/sj3/files/patch-ab (dead)
  1.1       +21 -0     ports/japanese/sj3/files/patch-sj3.tmpl (new)
  1.2       +24 -18    ports/japanese/sj3/files/sj3.sh.in
  1.4       +31 -4     ports/japanese/sj3/pkg-install
  1.4       +11 -14    ports/japanese/sj3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2007-09-09 08:09:26 UTC
edwin       2007-09-09 07:09:21 UTC

  FreeBSD ports repository

  Modified files:
    .                    UIDs 
  Log:
  Add _sj3 for japanese/sj3 with UID 912
  Fix iserv UID to 911.
  
  PR:             ports/113572 (_sj3)
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  
  Revision  Changes    Path
  1.51      +3 -2      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"